lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date:   Wed, 21 Oct 2020 23:04:58 +0800
From:   Hui Su <sh_def@....com>
To:     davidriley@...omium.org, akpm@...ux-foundation.org,
        linux-kernel@...r.kernel.org, sh_def@....com
Subject: [PATCH v2] tools/time: access /sys/kernel/debug/udelay_test before
 test

before(when i did not compile udelay_test.ko):
sh@...ntu:~/workspace/compile/tools/time$ sudo ./udelay_test.sh
./udelay_test.sh: line 25: /sys/kernel/debug/udelay_test: Permission denied
./udelay_test.sh: line 26: /sys/kernel/debug/udelay_test: No such file or directory
./udelay_test.sh: line 25: /sys/kernel/debug/udelay_test: Permission denied
./udelay_test.sh: line 26: /sys/kernel/debug/udelay_test: No such file or directory
...
about two hundreds lines.

we access '/sys/kernel/debug/udelay_test' the before starting the
udelay_test.

now(when i did not compile udelay_test.ko):
sh@...ntu:~/workspace/linux-stable/tools/time$ sudo ./udelay_test.sh
modprobe: FATAL: Module udelay_test not found in directory /lib/modules/5.4.44
ERROR, can not access /sys/kernel/debug/udelay_test.
modprobe: FATAL: Module udelay_test not found.

---
v1->v2: remove the debug_file_exist().

Signed-off-by: Hui Su <sh_def@....com>
---
 tools/time/udelay_test.sh | 42 ++++++++++++++++++++++-----------------
 1 file changed, 24 insertions(+), 18 deletions(-)

diff --git a/tools/time/udelay_test.sh b/tools/time/udelay_test.sh
index 6779d7e55d85..c8458d5b7fcd 100755
--- a/tools/time/udelay_test.sh
+++ b/tools/time/udelay_test.sh
@@ -12,10 +12,11 @@
 
 MODULE_NAME=udelay_test
 UDELAY_PATH=/sys/kernel/debug/udelay_test
+retcode=0
 
 setup()
 {
-	/sbin/modprobe -q $MODULE_NAME
+	/sbin/modprobe $MODULE_NAME
 	tmp_file=`mktemp`
 }
 
@@ -31,29 +32,34 @@ cleanup()
 	if [ -f $tmp_file ]; then
 		rm $tmp_file
 	fi
-	/sbin/modprobe -q -r $MODULE_NAME
+	/sbin/modprobe -r $MODULE_NAME
 }
 
 trap cleanup EXIT
 setup
 
-# Delay for a variety of times.
-# 1..200, 200..500 (by 10), 500..2000 (by 100)
-for (( delay = 1; delay < 200; delay += 1 )); do
-	test_one $delay
-done
-for (( delay = 200; delay < 500; delay += 10 )); do
-	test_one $delay
-done
-for (( delay = 500; delay <= 2000; delay += 100 )); do
-	test_one $delay
-done
-
-# Search for failures
-count=`grep -c FAIL $tmp_file`
-if [ $? -eq "0" ]; then
-	echo "ERROR: $count delays failed to delay long enough"
+if [ ! -d "$UDELAY_PATH" ]; then
 	retcode=1
+	echo "ERROR, can not access $UDELAY_PATH."
+else
+	# Delay for a variety of times.
+	# 1..200, 200..500 (by 10), 500..2000 (by 100)
+	for (( delay = 1; delay < 200; delay += 1 )); do
+		test_one $delay
+	done
+	for (( delay = 200; delay < 500; delay += 10 )); do
+		test_one $delay
+	done
+	for (( delay = 500; delay <= 2000; delay += 100 )); do
+		test_one $delay
+	done
+
+	# Search for failures
+	count=`grep -c FAIL $tmp_file`
+	if [ $? -eq "0" ]; then
+		echo "ERROR: $count delays failed to delay long enough"
+		retcode=1
+	fi
 fi
 
 exit $retcode
-- 
2.25.1


Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ